package com.ehsure.database_viewer;

import android.app.Activity;
import android.content.Intent;
import android.text.TextUtils;

import androidx.annotation.NonNull;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.embedding.engine.plugins.activity.ActivityAware;
import io.flutter.embedding.engine.plugins.activity.ActivityPluginBinding;
import io.flutter.plugin.common.BasicMessageChannel;
import io.flutter.plugin.common.StringCodec;

/** DatabaseViewerPlugin */
public class DatabaseViewerPlugin implements FlutterPlugin, ActivityAware {
  private BasicMessageChannel<String> channel;
  private Activity activity;

  @Override
  public void onAttachedToEngine(@NonNull FlutterPluginBinding flutterPluginBinding) {
    channel = new BasicMessageChannel<>(flutterPluginBinding.getBinaryMessenger(), "database_viewer", StringCodec.INSTANCE);
    channel.setMessageHandler((message, reply) -> {
      if (TextUtils.isEmpty(message)) {
        reply.reply("db name is empty");
        return;
      }
      Intent intent = new Intent(activity, TableListActivity.class);
      intent.putExtra("dbName",message);
      activity.startActivity(intent);
    });
  }

  @Override
  public void onDetachedFromEngine(@NonNull FlutterPluginBinding binding) {
    channel.setMessageHandler(null);
  }

  @Override
  public void onAttachedToActivity(@NonNull ActivityPluginBinding binding) {
    activity = binding.getActivity();
  }

  @Override
  public void onDetachedFromActivityForConfigChanges() {

  }

  @Override
  public void onReattachedToActivityForConfigChanges(@NonNull ActivityPluginBinding binding) {

  }

  @Override
  public void onDetachedFromActivity() {

  }
}